sim: frv: scope the unique configure flag
[deliverable/binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/gettext-sister.m4 \
200 $(top_srcdir)/../config/lead-dot.m4 \
201 $(top_srcdir)/../config/override.m4 \
202 $(top_srcdir)/../config/pkg.m4 \
203 $(top_srcdir)/../config/plugins.m4 \
204 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \
205 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
206 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
207 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
208 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
209 $(top_srcdir)/m4/sim_ac_option_cgen_maint.m4 \
210 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
211 $(top_srcdir)/m4/sim_ac_option_endian.m4 \
212 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
213 $(top_srcdir)/m4/sim_ac_option_hardware.m4 \
214 $(top_srcdir)/m4/sim_ac_option_inline.m4 \
215 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
216 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
217 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
218 $(top_srcdir)/m4/sim_ac_option_warnings.m4 \
219 $(top_srcdir)/m4/sim_ac_platform.m4 \
220 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
221 $(top_srcdir)/rx/acinclude.m4 $(top_srcdir)/configure.ac
222 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
223 $(ACLOCAL_M4)
224 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
225 $(am__configure_deps) $(pkginclude_HEADERS)
226 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
227 configure.lineno config.status.lineno
228 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
229 CONFIG_HEADER = config.h
230 CONFIG_CLEAN_FILES = Make-common.sim aarch64/Makefile.sim \
231 arm/Makefile.sim avr/Makefile.sim bfin/Makefile.sim \
232 cr16/Makefile.sim d10v/Makefile.sim ft32/Makefile.sim \
233 h8300/Makefile.sim m32c/Makefile.sim m68hc11/Makefile.sim \
234 mcore/Makefile.sim microblaze/Makefile.sim moxie/Makefile.sim \
235 msp430/Makefile.sim pru/Makefile.sim rl78/Makefile.sim \
236 rx/Makefile.sim sh/Makefile.sim erc32/Makefile.sim \
237 example-synacor/Makefile.sim arch-subdir.mk
238 CONFIG_CLEAN_VPATH_FILES =
239 LIBRARIES = $(noinst_LIBRARIES)
240 ARFLAGS = cru
241 AM_V_AR = $(am__v_AR_@AM_V@)
242 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
243 am__v_AR_0 = @echo " AR " $@;
244 am__v_AR_1 =
245 common_libcommon_a_AR = $(AR) $(ARFLAGS)
246 common_libcommon_a_LIBADD =
247 am__dirstamp = $(am__leading_dot)dirstamp
248 am_common_libcommon_a_OBJECTS = \
249 common/common_libcommon_a-portability.$(OBJEXT) \
250 common/common_libcommon_a-sim-load.$(OBJEXT) \
251 common/common_libcommon_a-version.$(OBJEXT)
252 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
253 igen_libigen_a_AR = $(AR) $(ARFLAGS)
254 igen_libigen_a_LIBADD =
255 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
256 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
257 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
258 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
259 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
260 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
261 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
262 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
263 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
264 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
265 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
266 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
267 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
268 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
269 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
270 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
271 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
272 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
273 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
274 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
275 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
276 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
277 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
278 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
279 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
280 testsuite/common/bits32m31$(EXEEXT) \
281 testsuite/common/bits64m0$(EXEEXT) \
282 testsuite/common/bits64m63$(EXEEXT) \
283 testsuite/common/alu-tst$(EXEEXT)
284 am_igen_filter_OBJECTS =
285 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
286 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
287 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
288 AM_V_lt = $(am__v_lt_@AM_V@)
289 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
290 am__v_lt_0 = --silent
291 am__v_lt_1 =
292 am_igen_gen_OBJECTS =
293 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
294 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
295 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
296 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
297 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
298 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
299 am_igen_ld_cache_OBJECTS =
300 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
301 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
302 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
303 am_igen_ld_decode_OBJECTS =
304 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
305 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
306 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
307 am_igen_ld_insn_OBJECTS =
308 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
309 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
310 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
311 am_igen_table_OBJECTS =
312 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
313 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
314 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
315 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
316 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
317 testsuite_common_alu_tst_LDADD = $(LDADD)
318 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
319 testsuite_common_bits_gen_OBJECTS = \
320 testsuite/common/bits-gen.$(OBJEXT)
321 testsuite_common_bits_gen_LDADD = $(LDADD)
322 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
323 testsuite_common_bits32m0_OBJECTS = \
324 testsuite/common/bits32m0.$(OBJEXT)
325 testsuite_common_bits32m0_LDADD = $(LDADD)
326 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
327 testsuite_common_bits32m31_OBJECTS = \
328 testsuite/common/bits32m31.$(OBJEXT)
329 testsuite_common_bits32m31_LDADD = $(LDADD)
330 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
331 testsuite_common_bits64m0_OBJECTS = \
332 testsuite/common/bits64m0.$(OBJEXT)
333 testsuite_common_bits64m0_LDADD = $(LDADD)
334 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
335 testsuite_common_bits64m63_OBJECTS = \
336 testsuite/common/bits64m63.$(OBJEXT)
337 testsuite_common_bits64m63_LDADD = $(LDADD)
338 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
339 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
340 testsuite_common_fpu_tst_LDADD = $(LDADD)
341 AM_V_P = $(am__v_P_@AM_V@)
342 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
343 am__v_P_0 = false
344 am__v_P_1 = :
345 AM_V_GEN = $(am__v_GEN_@AM_V@)
346 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
347 am__v_GEN_0 = @echo " GEN " $@;
348 am__v_GEN_1 =
349 AM_V_at = $(am__v_at_@AM_V@)
350 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
351 am__v_at_0 = @
352 am__v_at_1 =
353 DEFAULT_INCLUDES = -I.@am__isrc@
354 depcomp = $(SHELL) $(top_srcdir)/../depcomp
355 am__depfiles_maybe = depfiles
356 am__mv = mv -f
357 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
358 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
359 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
360 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
361 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
362 $(AM_CFLAGS) $(CFLAGS)
363 AM_V_CC = $(am__v_CC_@AM_V@)
364 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
365 am__v_CC_0 = @echo " CC " $@;
366 am__v_CC_1 =
367 CCLD = $(CC)
368 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
369 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
370 $(AM_LDFLAGS) $(LDFLAGS) -o $@
371 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
372 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
373 am__v_CCLD_0 = @echo " CCLD " $@;
374 am__v_CCLD_1 =
375 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
376 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
377 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
378 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
379 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
380 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
381 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
382 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
383 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
384 ctags-recursive dvi-recursive html-recursive info-recursive \
385 install-data-recursive install-dvi-recursive \
386 install-exec-recursive install-html-recursive \
387 install-info-recursive install-pdf-recursive \
388 install-ps-recursive install-recursive installcheck-recursive \
389 installdirs-recursive pdf-recursive ps-recursive \
390 tags-recursive uninstall-recursive
391 am__can_run_installinfo = \
392 case $$AM_UPDATE_INFO_DIR in \
393 n|no|NO) false;; \
394 *) (install-info --version) >/dev/null 2>&1;; \
395 esac
396 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
397 am__vpath_adj = case $$p in \
398 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
399 *) f=$$p;; \
400 esac;
401 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
402 am__install_max = 40
403 am__nobase_strip_setup = \
404 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
405 am__nobase_strip = \
406 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
407 am__nobase_list = $(am__nobase_strip_setup); \
408 for p in $$list; do echo "$$p $$p"; done | \
409 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
410 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
411 if (++n[$$2] == $(am__install_max)) \
412 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
413 END { for (dir in files) print dir, files[dir] }'
414 am__base_list = \
415 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
416 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
417 am__uninstall_files_from_dir = { \
418 test -z "$$files" \
419 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
420 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
421 $(am__cd) "$$dir" && rm -f $$files; }; \
422 }
423 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
424 HEADERS = $(pkginclude_HEADERS)
425 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
426 distclean-recursive maintainer-clean-recursive
427 am__recursive_targets = \
428 $(RECURSIVE_TARGETS) \
429 $(RECURSIVE_CLEAN_TARGETS) \
430 $(am__extra_recursive_targets)
431 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
432 cscope check recheck
433 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
434 $(LISP)config.h.in
435 # Read a list of newline-separated strings from the standard input,
436 # and print each of them once, without duplicates. Input order is
437 # *not* preserved.
438 am__uniquify_input = $(AWK) '\
439 BEGIN { nonempty = 0; } \
440 { items[$$0] = 1; nonempty = 1; } \
441 END { if (nonempty) { for (i in items) print i; }; } \
442 '
443 # Make sure the list of sources is unique. This is necessary because,
444 # e.g., the same source file might be shared among _SOURCES variables
445 # for different programs/libraries.
446 am__define_uniq_tagged_files = \
447 list='$(am__tagged_files)'; \
448 unique=`for i in $$list; do \
449 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
450 done | $(am__uniquify_input)`
451 ETAGS = etags
452 CTAGS = ctags
453 CSCOPE = cscope
454 DEJATOOL = $(PACKAGE)
455 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
456 EXPECT = expect
457 RUNTEST = runtest
458 am__tty_colors_dummy = \
459 mgn= red= grn= lgn= blu= brg= std=; \
460 am__color_tests=no
461 am__tty_colors = { \
462 $(am__tty_colors_dummy); \
463 if test "X$(AM_COLOR_TESTS)" = Xno; then \
464 am__color_tests=no; \
465 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
466 am__color_tests=yes; \
467 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
468 am__color_tests=yes; \
469 fi; \
470 if test $$am__color_tests = yes; then \
471 red='\e[0;31m'; \
472 grn='\e[0;32m'; \
473 lgn='\e[1;32m'; \
474 blu='\e[1;34m'; \
475 mgn='\e[0;35m'; \
476 brg='\e[1m'; \
477 std='\e[m'; \
478 fi; \
479 }
480 am__recheck_rx = ^[ ]*:recheck:[ ]*
481 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
482 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
483 # A command that, given a newline-separated list of test names on the
484 # standard input, print the name of the tests that are to be re-run
485 # upon "make recheck".
486 am__list_recheck_tests = $(AWK) '{ \
487 recheck = 1; \
488 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
489 { \
490 if (rc < 0) \
491 { \
492 if ((getline line2 < ($$0 ".log")) < 0) \
493 recheck = 0; \
494 break; \
495 } \
496 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
497 { \
498 recheck = 0; \
499 break; \
500 } \
501 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
502 { \
503 break; \
504 } \
505 }; \
506 if (recheck) \
507 print $$0; \
508 close ($$0 ".trs"); \
509 close ($$0 ".log"); \
510 }'
511 # A command that, given a newline-separated list of test names on the
512 # standard input, create the global log from their .trs and .log files.
513 am__create_global_log = $(AWK) ' \
514 function fatal(msg) \
515 { \
516 print "fatal: making $@: " msg | "cat >&2"; \
517 exit 1; \
518 } \
519 function rst_section(header) \
520 { \
521 print header; \
522 len = length(header); \
523 for (i = 1; i <= len; i = i + 1) \
524 printf "="; \
525 printf "\n\n"; \
526 } \
527 { \
528 copy_in_global_log = 1; \
529 global_test_result = "RUN"; \
530 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
531 { \
532 if (rc < 0) \
533 fatal("failed to read from " $$0 ".trs"); \
534 if (line ~ /$(am__global_test_result_rx)/) \
535 { \
536 sub("$(am__global_test_result_rx)", "", line); \
537 sub("[ ]*$$", "", line); \
538 global_test_result = line; \
539 } \
540 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
541 copy_in_global_log = 0; \
542 }; \
543 if (copy_in_global_log) \
544 { \
545 rst_section(global_test_result ": " $$0); \
546 while ((rc = (getline line < ($$0 ".log"))) != 0) \
547 { \
548 if (rc < 0) \
549 fatal("failed to read from " $$0 ".log"); \
550 print line; \
551 }; \
552 printf "\n"; \
553 }; \
554 close ($$0 ".trs"); \
555 close ($$0 ".log"); \
556 }'
557 # Restructured Text title.
558 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
559 # Solaris 10 'make', and several other traditional 'make' implementations,
560 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
561 # by disabling -e (using the XSI extension "set +e") if it's set.
562 am__sh_e_setup = case $$- in *e*) set +e;; esac
563 # Default flags passed to test drivers.
564 am__common_driver_flags = \
565 --color-tests "$$am__color_tests" \
566 --enable-hard-errors "$$am__enable_hard_errors" \
567 --expect-failure "$$am__expect_failure"
568 # To be inserted before the command running the test. Creates the
569 # directory for the log if needed. Stores in $dir the directory
570 # containing $f, in $tst the test, in $log the log. Executes the
571 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
572 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
573 # will run the test scripts (or their associated LOG_COMPILER, if
574 # thy have one).
575 am__check_pre = \
576 $(am__sh_e_setup); \
577 $(am__vpath_adj_setup) $(am__vpath_adj) \
578 $(am__tty_colors); \
579 srcdir=$(srcdir); export srcdir; \
580 case "$@" in \
581 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
582 *) am__odir=.;; \
583 esac; \
584 test "x$$am__odir" = x"." || test -d "$$am__odir" \
585 || $(MKDIR_P) "$$am__odir" || exit $$?; \
586 if test -f "./$$f"; then dir=./; \
587 elif test -f "$$f"; then dir=; \
588 else dir="$(srcdir)/"; fi; \
589 tst=$$dir$$f; log='$@'; \
590 if test -n '$(DISABLE_HARD_ERRORS)'; then \
591 am__enable_hard_errors=no; \
592 else \
593 am__enable_hard_errors=yes; \
594 fi; \
595 case " $(XFAIL_TESTS) " in \
596 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
597 am__expect_failure=yes;; \
598 *) \
599 am__expect_failure=no;; \
600 esac; \
601 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
602 # A shell command to get the names of the tests scripts with any registered
603 # extension removed (i.e., equivalently, the names of the test logs, with
604 # the '.log' extension removed). The result is saved in the shell variable
605 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
606 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
607 # since that might cause problem with VPATH rewrites for suffix-less tests.
608 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
609 am__set_TESTS_bases = \
610 bases='$(TEST_LOGS)'; \
611 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
612 bases=`echo $$bases`
613 RECHECK_LOGS = $(TEST_LOGS)
614 TEST_SUITE_LOG = test-suite.log
615 TEST_EXTENSIONS = @EXEEXT@ .test
616 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
617 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
618 am__set_b = \
619 case '$@' in \
620 */*) \
621 case '$*' in \
622 */*) b='$*';; \
623 *) b=`echo '$@' | sed 's/\.log$$//'`; \
624 esac;; \
625 *) \
626 b='$*';; \
627 esac
628 am__test_logs1 = $(TESTS:=.log)
629 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
630 TEST_LOGS = $(am__test_logs2:.test.log=.log)
631 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
632 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
633 $(TEST_LOG_FLAGS)
634 DIST_SUBDIRS = $(SUBDIRS)
635 ACLOCAL = @ACLOCAL@
636 AMTAR = @AMTAR@
637 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
638 AR = @AR@
639 AR_FOR_BUILD = @AR_FOR_BUILD@
640 AUTOCONF = @AUTOCONF@
641 AUTOHEADER = @AUTOHEADER@
642 AUTOMAKE = @AUTOMAKE@
643 AWK = @AWK@
644 CATALOGS = @CATALOGS@
645 CATOBJEXT = @CATOBJEXT@
646 CC = @CC@
647 CCDEPMODE = @CCDEPMODE@
648 CC_FOR_BUILD = @CC_FOR_BUILD@
649 CFLAGS = @CFLAGS@
650 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
651 CGEN_MAINT = @CGEN_MAINT@
652 CPP = @CPP@
653 CPPFLAGS = @CPPFLAGS@
654 CYGPATH_W = @CYGPATH_W@
655 C_DIALECT = @C_DIALECT@
656 DATADIRNAME = @DATADIRNAME@
657 DEFS = @DEFS@
658 DEPDIR = @DEPDIR@
659 DSYMUTIL = @DSYMUTIL@
660 DTC = @DTC@
661 DUMPBIN = @DUMPBIN@
662 ECHO_C = @ECHO_C@
663 ECHO_N = @ECHO_N@
664 ECHO_T = @ECHO_T@
665 EGREP = @EGREP@
666 EXEEXT = @EXEEXT@
667 FGREP = @FGREP@
668 GENCAT = @GENCAT@
669 GMSGFMT = @GMSGFMT@
670 GREP = @GREP@
671 INCINTL = @INCINTL@
672 INSTALL = @INSTALL@
673 INSTALL_DATA = @INSTALL_DATA@
674 INSTALL_PROGRAM = @INSTALL_PROGRAM@
675 INSTALL_SCRIPT = @INSTALL_SCRIPT@
676 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
677 INSTOBJEXT = @INSTOBJEXT@
678 LD = @LD@
679 LDFLAGS = @LDFLAGS@
680 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
681 LIBINTL = @LIBINTL@
682 LIBINTL_DEP = @LIBINTL_DEP@
683 LIBOBJS = @LIBOBJS@
684 LIBS = @LIBS@
685 LIBTOOL = @LIBTOOL@
686 LIPO = @LIPO@
687 LN_S = @LN_S@
688 LTLIBOBJS = @LTLIBOBJS@
689 MAINT = @MAINT@
690 MAKEINFO = @MAKEINFO@
691 MKDIR_P = @MKDIR_P@
692 NM = @NM@
693 NMEDIT = @NMEDIT@
694 OBJDUMP = @OBJDUMP@
695 OBJEXT = @OBJEXT@
696 OTOOL = @OTOOL@
697 OTOOL64 = @OTOOL64@
698 PACKAGE = @PACKAGE@
699 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
700 PACKAGE_NAME = @PACKAGE_NAME@
701 PACKAGE_STRING = @PACKAGE_STRING@
702 PACKAGE_TARNAME = @PACKAGE_TARNAME@
703 PACKAGE_URL = @PACKAGE_URL@
704 PACKAGE_VERSION = @PACKAGE_VERSION@
705 PATH_SEPARATOR = @PATH_SEPARATOR@
706 PKGVERSION = @PKGVERSION@
707 PKG_CONFIG = @PKG_CONFIG@
708 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
709 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
710 POSUB = @POSUB@
711 RANLIB = @RANLIB@
712 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
713 READLINE_CFLAGS = @READLINE_CFLAGS@
714 READLINE_LIB = @READLINE_LIB@
715 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
716 REPORT_BUGS_TO = @REPORT_BUGS_TO@
717 SDL_CFLAGS = @SDL_CFLAGS@
718 SDL_LIBS = @SDL_LIBS@
719 SED = @SED@
720 SET_MAKE = @SET_MAKE@
721 SHELL = @SHELL@
722 SIM_COMMON_BUILD_FALSE = @SIM_COMMON_BUILD_FALSE@
723 SIM_COMMON_BUILD_TRUE = @SIM_COMMON_BUILD_TRUE@
724 SIM_INLINE = @SIM_INLINE@
725 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
726 SIM_RX_CYCLE_ACCURATE_FLAGS = @SIM_RX_CYCLE_ACCURATE_FLAGS@
727 SIM_SUBDIRS = @SIM_SUBDIRS@
728 STRIP = @STRIP@
729 TERMCAP_LIB = @TERMCAP_LIB@
730 USE_NLS = @USE_NLS@
731 VERSION = @VERSION@
732 WARN_CFLAGS = @WARN_CFLAGS@
733 WERROR_CFLAGS = @WERROR_CFLAGS@
734 XGETTEXT = @XGETTEXT@
735 abs_builddir = @abs_builddir@
736 abs_srcdir = @abs_srcdir@
737 abs_top_builddir = @abs_top_builddir@
738 abs_top_srcdir = @abs_top_srcdir@
739 ac_ct_CC = @ac_ct_CC@
740 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
741 am__include = @am__include@
742 am__leading_dot = @am__leading_dot@
743 am__quote = @am__quote@
744 am__tar = @am__tar@
745 am__untar = @am__untar@
746 bindir = @bindir@
747 build = @build@
748 build_alias = @build_alias@
749 build_cpu = @build_cpu@
750 build_os = @build_os@
751 build_vendor = @build_vendor@
752 builddir = @builddir@
753 cgen = @cgen@
754 cgendir = @cgendir@
755 datadir = @datadir@
756 datarootdir = @datarootdir@
757 docdir = @docdir@
758 dvidir = @dvidir@
759 exec_prefix = @exec_prefix@
760 host = @host@
761 host_alias = @host_alias@
762 host_cpu = @host_cpu@
763 host_os = @host_os@
764 host_vendor = @host_vendor@
765 htmldir = @htmldir@
766 includedir = @includedir@
767 infodir = @infodir@
768 install_sh = @install_sh@
769 libdir = @libdir@
770 libexecdir = @libexecdir@
771 localedir = @localedir@
772 localstatedir = @localstatedir@
773 lt_cv_dlopen_libs = @lt_cv_dlopen_libs@
774 mandir = @mandir@
775 mkdir_p = @mkdir_p@
776 oldincludedir = @oldincludedir@
777 pdfdir = @pdfdir@
778 prefix = @prefix@
779 program_transform_name = @program_transform_name@
780 psdir = @psdir@
781 sbindir = @sbindir@
782 sharedstatedir = @sharedstatedir@
783 sim_bitsize = @sim_bitsize@
784 sim_float = @sim_float@
785 sim_hw_cflags = @sim_hw_cflags@
786 sim_hw_sockser = @sim_hw_sockser@
787 sim_reserved_bits = @sim_reserved_bits@
788 sim_scache = @sim_scache@
789 srcdir = @srcdir@
790 subdirs = @subdirs@
791 sysconfdir = @sysconfdir@
792 target = @target@
793 target_alias = @target_alias@
794 target_cpu = @target_cpu@
795 target_os = @target_os@
796 target_vendor = @target_vendor@
797 top_build_prefix = @top_build_prefix@
798 top_builddir = @top_builddir@
799 top_srcdir = @top_srcdir@
800 zlibdir = @zlibdir@
801 zlibinc = @zlibinc@
802 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
803 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
804 srcroot = $(srcdir)/..
805 SUBDIRS = @subdirs@ $(SIM_SUBDIRS)
806 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
807
808 # NB: libcommon.a isn't used directly by ports. We need a target for common
809 # objects to be a part of, and ports use the individual objects directly.
810 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
811 CLEANFILES = common/version.c common/version.c-stamp \
812 testsuite/common/bits-gen testsuite/common/bits32m0.c \
813 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
814 testsuite/common/bits64m63.c
815 DISTCLEANFILES =
816 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
817 testrun.sum
818 AM_CFLAGS = $(WERROR_CFLAGS) $(WARN_CFLAGS)
819 AM_CPPFLAGS = -I$(srcroot)/include $(SIM_INLINE) -I$(srcdir)/common
820 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
821 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
822
823 # Deps to add to the all-recursive target. These are built before descending
824 # into any subdirs.
825
826 # This makes sure common parts are available before building the arch-subdirs
827 # which will refer to these.
828 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
829 pkginclude_HEADERS = \
830 $(srcroot)/include/sim/callback.h \
831 $(srcroot)/include/sim/sim.h
832
833 common_libcommon_a_CPPFLAGS = \
834 $(AM_CPPFLAGS) \
835 -DSIM_COMMON_BUILD \
836 -I../bfd \
837 -I..
838
839 common_libcommon_a_SOURCES = \
840 common/portability.c \
841 common/sim-load.c \
842 common/version.c
843
844 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
845 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
846 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
847 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
848 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
849 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
850 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
851 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
852 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
853 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
854 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
855 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
856 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
857 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
858 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
859 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
860 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
861
862 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
863 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
864 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
865 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
866 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
867 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
868 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
869 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
870 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
871 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
872 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
873 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
874 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
875 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
876 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
877 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
878 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
879 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
880 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
881 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
882 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
883 @SIM_ENABLE_IGEN_TRUE@ igen/table
884
885
886 # Tweak the site.exp so it works with plain `runtest` from user.
887 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
888 testsuite_common_CPPFLAGS = \
889 -I$(srcdir)/common \
890 -I$(srcroot)/include \
891 -I../bfd
892
893 all: config.h
894 $(MAKE) $(AM_MAKEFLAGS) all-recursive
895
896 .SUFFIXES:
897 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
898 am--refresh: Makefile
899 @:
900 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
901 @for dep in $?; do \
902 case '$(am__configure_deps)' in \
903 *$$dep*) \
904 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
905 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
906 && exit 0; \
907 exit 1;; \
908 esac; \
909 done; \
910 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
911 $(am__cd) $(top_srcdir) && \
912 $(AUTOMAKE) --foreign Makefile
913 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
914 @case '$?' in \
915 *config.status*) \
916 echo ' $(SHELL) ./config.status'; \
917 $(SHELL) ./config.status;; \
918 *) \
919 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
920 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
921 esac;
922 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
923
924 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
925 $(SHELL) ./config.status --recheck
926
927 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
928 $(am__cd) $(srcdir) && $(AUTOCONF)
929 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
930 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
931 $(am__aclocal_m4_deps):
932
933 config.h: stamp-h1
934 @test -f $@ || rm -f stamp-h1
935 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
936
937 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
938 @rm -f stamp-h1
939 cd $(top_builddir) && $(SHELL) ./config.status config.h
940 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
941 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
942 rm -f stamp-h1
943 touch $@
944
945 distclean-hdr:
946 -rm -f config.h stamp-h1
947 Make-common.sim: $(top_builddir)/config.status $(top_srcdir)/common/Make-common.in
948 cd $(top_builddir) && $(SHELL) ./config.status $@
949 aarch64/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/aarch64/Makefile.in
950 cd $(top_builddir) && $(SHELL) ./config.status $@
951 arm/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/arm/Makefile.in
952 cd $(top_builddir) && $(SHELL) ./config.status $@
953 avr/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/avr/Makefile.in
954 cd $(top_builddir) && $(SHELL) ./config.status $@
955 bfin/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/bfin/Makefile.in
956 cd $(top_builddir) && $(SHELL) ./config.status $@
957 cr16/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cr16/Makefile.in
958 cd $(top_builddir) && $(SHELL) ./config.status $@
959 d10v/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/d10v/Makefile.in
960 cd $(top_builddir) && $(SHELL) ./config.status $@
961 ft32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/ft32/Makefile.in
962 cd $(top_builddir) && $(SHELL) ./config.status $@
963 h8300/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/h8300/Makefile.in
964 cd $(top_builddir) && $(SHELL) ./config.status $@
965 m32c/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m32c/Makefile.in
966 cd $(top_builddir) && $(SHELL) ./config.status $@
967 m68hc11/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m68hc11/Makefile.in
968 cd $(top_builddir) && $(SHELL) ./config.status $@
969 mcore/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/mcore/Makefile.in
970 cd $(top_builddir) && $(SHELL) ./config.status $@
971 microblaze/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/microblaze/Makefile.in
972 cd $(top_builddir) && $(SHELL) ./config.status $@
973 moxie/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/moxie/Makefile.in
974 cd $(top_builddir) && $(SHELL) ./config.status $@
975 msp430/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/msp430/Makefile.in
976 cd $(top_builddir) && $(SHELL) ./config.status $@
977 pru/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/pru/Makefile.in
978 cd $(top_builddir) && $(SHELL) ./config.status $@
979 rl78/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rl78/Makefile.in
980 cd $(top_builddir) && $(SHELL) ./config.status $@
981 rx/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rx/Makefile.in
982 cd $(top_builddir) && $(SHELL) ./config.status $@
983 sh/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/sh/Makefile.in
984 cd $(top_builddir) && $(SHELL) ./config.status $@
985 erc32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/erc32/Makefile.in
986 cd $(top_builddir) && $(SHELL) ./config.status $@
987 example-synacor/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/example-synacor/Makefile.in
988 cd $(top_builddir) && $(SHELL) ./config.status $@
989 arch-subdir.mk: $(top_builddir)/config.status $(srcdir)/arch-subdir.mk.in
990 cd $(top_builddir) && $(SHELL) ./config.status $@
991
992 clean-noinstLIBRARIES:
993 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
994 common/$(am__dirstamp):
995 @$(MKDIR_P) common
996 @: > common/$(am__dirstamp)
997 common/$(DEPDIR)/$(am__dirstamp):
998 @$(MKDIR_P) common/$(DEPDIR)
999 @: > common/$(DEPDIR)/$(am__dirstamp)
1000 common/common_libcommon_a-portability.$(OBJEXT): \
1001 common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp)
1002 common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
1003 common/$(DEPDIR)/$(am__dirstamp)
1004 common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
1005 common/$(DEPDIR)/$(am__dirstamp)
1006
1007 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
1008 $(AM_V_at)-rm -f common/libcommon.a
1009 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
1010 $(AM_V_at)$(RANLIB) common/libcommon.a
1011 igen/$(am__dirstamp):
1012 @$(MKDIR_P) igen
1013 @: > igen/$(am__dirstamp)
1014 igen/$(DEPDIR)/$(am__dirstamp):
1015 @$(MKDIR_P) igen/$(DEPDIR)
1016 @: > igen/$(DEPDIR)/$(am__dirstamp)
1017 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
1018 igen/$(DEPDIR)/$(am__dirstamp)
1019 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
1020 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
1021 igen/$(DEPDIR)/$(am__dirstamp)
1022 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
1023 igen/$(DEPDIR)/$(am__dirstamp)
1024 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
1025 igen/$(DEPDIR)/$(am__dirstamp)
1026 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
1027 igen/$(DEPDIR)/$(am__dirstamp)
1028 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
1029 igen/$(DEPDIR)/$(am__dirstamp)
1030 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
1031 igen/$(DEPDIR)/$(am__dirstamp)
1032 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
1033 igen/$(DEPDIR)/$(am__dirstamp)
1034 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
1035 igen/$(DEPDIR)/$(am__dirstamp)
1036 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
1037 igen/$(DEPDIR)/$(am__dirstamp)
1038 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
1039 igen/$(DEPDIR)/$(am__dirstamp)
1040 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
1041 igen/$(DEPDIR)/$(am__dirstamp)
1042 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
1043 igen/$(DEPDIR)/$(am__dirstamp)
1044 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
1045 igen/$(DEPDIR)/$(am__dirstamp)
1046 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
1047 igen/$(DEPDIR)/$(am__dirstamp)
1048
1049 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1050 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
1051 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1052 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
1053
1054 clean-checkPROGRAMS:
1055 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
1056 echo " rm -f" $$list; \
1057 rm -f $$list || exit $$?; \
1058 test -n "$(EXEEXT)" || exit 0; \
1059 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1060 echo " rm -f" $$list; \
1061 rm -f $$list
1062
1063 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
1064 @rm -f igen/filter$(EXEEXT)
1065 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
1066
1067 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
1068 @rm -f igen/gen$(EXEEXT)
1069 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
1070 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
1071 igen/$(DEPDIR)/$(am__dirstamp)
1072
1073 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1074 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
1075 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
1076
1077 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
1078 @rm -f igen/ld-cache$(EXEEXT)
1079 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
1080
1081 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
1082 @rm -f igen/ld-decode$(EXEEXT)
1083 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
1084
1085 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
1086 @rm -f igen/ld-insn$(EXEEXT)
1087 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
1088
1089 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
1090 @rm -f igen/table$(EXEEXT)
1091 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
1092 testsuite/common/$(am__dirstamp):
1093 @$(MKDIR_P) testsuite/common
1094 @: > testsuite/common/$(am__dirstamp)
1095 testsuite/common/$(DEPDIR)/$(am__dirstamp):
1096 @$(MKDIR_P) testsuite/common/$(DEPDIR)
1097 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
1098 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1099 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1100 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1101 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1102 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1103 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1104 testsuite/common/bits32m31.$(OBJEXT): \
1105 testsuite/common/$(am__dirstamp) \
1106 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1107 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1108 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1109 testsuite/common/bits64m63.$(OBJEXT): \
1110 testsuite/common/$(am__dirstamp) \
1111 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1112 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1113 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1114
1115 mostlyclean-compile:
1116 -rm -f *.$(OBJEXT)
1117 -rm -f common/*.$(OBJEXT)
1118 -rm -f igen/*.$(OBJEXT)
1119 -rm -f testsuite/common/*.$(OBJEXT)
1120
1121 distclean-compile:
1122 -rm -f *.tab.c
1123
1124 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@
1125 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
1126 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
1127 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
1128 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
1129 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
1130 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
1131 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
1132 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
1133 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
1134 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1135 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1136 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1137 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1138 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1139 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1140 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1141 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1142 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1143 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
1144 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1145 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1146 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1147 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1148 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1149 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1150 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1151
1152 .c.o:
1153 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1154 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1155 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1156 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1157 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1158 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1159
1160 .c.obj:
1161 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1162 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1163 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1164 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1165 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1166 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1167
1168 .c.lo:
1169 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1170 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1171 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1172 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1173 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1174 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1175
1176 common/common_libcommon_a-portability.o: common/portability.c
1177 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1178 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1179 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@
1180 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1181 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1182
1183 common/common_libcommon_a-portability.obj: common/portability.c
1184 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1185 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1186 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@
1187 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1188 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1189
1190 common/common_libcommon_a-sim-load.o: common/sim-load.c
1191 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1192 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1193 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1194 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1195 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1196
1197 common/common_libcommon_a-sim-load.obj: common/sim-load.c
1198 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1199 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1200 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1201 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1202 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1203
1204 common/common_libcommon_a-version.o: common/version.c
1205 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1206 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1207 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1208 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1209 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1210
1211 common/common_libcommon_a-version.obj: common/version.c
1212 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1213 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1214 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1215 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1216 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1217
1218 mostlyclean-libtool:
1219 -rm -f *.lo
1220
1221 clean-libtool:
1222 -rm -rf .libs _libs
1223 -rm -rf igen/.libs igen/_libs
1224 -rm -rf testsuite/common/.libs testsuite/common/_libs
1225
1226 distclean-libtool:
1227 -rm -f libtool config.lt
1228 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1229 @$(NORMAL_INSTALL)
1230 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1231 if test -n "$$list"; then \
1232 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1233 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1234 fi; \
1235 for p in $$list; do \
1236 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1237 echo "$$d$$p"; \
1238 done | $(am__base_list) | \
1239 while read files; do \
1240 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1241 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1242 done
1243
1244 uninstall-pkgincludeHEADERS:
1245 @$(NORMAL_UNINSTALL)
1246 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1247 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1248 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1249
1250 # This directory's subdirectories are mostly independent; you can cd
1251 # into them and run 'make' without going through this Makefile.
1252 # To change the values of 'make' variables: instead of editing Makefiles,
1253 # (1) if the variable is set in 'config.status', edit 'config.status'
1254 # (which will cause the Makefiles to be regenerated when you run 'make');
1255 # (2) otherwise, pass the desired values on the 'make' command line.
1256 $(am__recursive_targets):
1257 @fail=; \
1258 if $(am__make_keepgoing); then \
1259 failcom='fail=yes'; \
1260 else \
1261 failcom='exit 1'; \
1262 fi; \
1263 dot_seen=no; \
1264 target=`echo $@ | sed s/-recursive//`; \
1265 case "$@" in \
1266 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1267 *) list='$(SUBDIRS)' ;; \
1268 esac; \
1269 for subdir in $$list; do \
1270 echo "Making $$target in $$subdir"; \
1271 if test "$$subdir" = "."; then \
1272 dot_seen=yes; \
1273 local_target="$$target-am"; \
1274 else \
1275 local_target="$$target"; \
1276 fi; \
1277 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1278 || eval $$failcom; \
1279 done; \
1280 if test "$$dot_seen" = "no"; then \
1281 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1282 fi; test -z "$$fail"
1283
1284 ID: $(am__tagged_files)
1285 $(am__define_uniq_tagged_files); mkid -fID $$unique
1286 tags: tags-recursive
1287 TAGS: tags
1288
1289 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1290 set x; \
1291 here=`pwd`; \
1292 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1293 include_option=--etags-include; \
1294 empty_fix=.; \
1295 else \
1296 include_option=--include; \
1297 empty_fix=; \
1298 fi; \
1299 list='$(SUBDIRS)'; for subdir in $$list; do \
1300 if test "$$subdir" = .; then :; else \
1301 test ! -f $$subdir/TAGS || \
1302 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1303 fi; \
1304 done; \
1305 $(am__define_uniq_tagged_files); \
1306 shift; \
1307 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1308 test -n "$$unique" || unique=$$empty_fix; \
1309 if test $$# -gt 0; then \
1310 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1311 "$$@" $$unique; \
1312 else \
1313 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1314 $$unique; \
1315 fi; \
1316 fi
1317 ctags: ctags-recursive
1318
1319 CTAGS: ctags
1320 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1321 $(am__define_uniq_tagged_files); \
1322 test -z "$(CTAGS_ARGS)$$unique" \
1323 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1324 $$unique
1325
1326 GTAGS:
1327 here=`$(am__cd) $(top_builddir) && pwd` \
1328 && $(am__cd) $(top_srcdir) \
1329 && gtags -i $(GTAGS_ARGS) "$$here"
1330 cscope: cscope.files
1331 test ! -s cscope.files \
1332 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1333 clean-cscope:
1334 -rm -f cscope.files
1335 cscope.files: clean-cscope cscopelist
1336 cscopelist: cscopelist-recursive
1337
1338 cscopelist-am: $(am__tagged_files)
1339 list='$(am__tagged_files)'; \
1340 case "$(srcdir)" in \
1341 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1342 *) sdir=$(subdir)/$(srcdir) ;; \
1343 esac; \
1344 for i in $$list; do \
1345 if test -f "$$i"; then \
1346 echo "$(subdir)/$$i"; \
1347 else \
1348 echo "$$sdir/$$i"; \
1349 fi; \
1350 done >> $(top_builddir)/cscope.files
1351
1352 distclean-tags:
1353 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1354 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1355 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1356 @echo 'Making a new site.exp file ...'
1357 @echo '## these variables are automatically generated by make ##' >site.tmp
1358 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1359 @echo '# edit the last section' >>site.tmp
1360 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1361 @echo "set objdir `pwd`" >>site.tmp
1362 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1363 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1364 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1365 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1366 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1367 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1368 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1369 echo "## Begin content included from file $$f. Do not modify. ##" \
1370 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1371 && echo "## End content included from file $$f. ##" \
1372 || exit 1; \
1373 done >> site.tmp
1374 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1375 @if test -f site.exp; then \
1376 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1377 fi
1378 @-rm -f site.bak
1379 @test ! -f site.exp || mv site.exp site.bak
1380 @mv site.tmp site.exp
1381
1382 distclean-DEJAGNU:
1383 -rm -f site.exp site.bak
1384 -l='$(DEJATOOL)'; for tool in $$l; do \
1385 rm -f $$tool.sum $$tool.log; \
1386 done
1387
1388 # Recover from deleted '.trs' file; this should ensure that
1389 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1390 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1391 # to avoid problems with "make -n".
1392 .log.trs:
1393 rm -f $< $@
1394 $(MAKE) $(AM_MAKEFLAGS) $<
1395
1396 # Leading 'am--fnord' is there to ensure the list of targets does not
1397 # expand to empty, as could happen e.g. with make check TESTS=''.
1398 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1399 am--force-recheck:
1400 @:
1401
1402 $(TEST_SUITE_LOG): $(TEST_LOGS)
1403 @$(am__set_TESTS_bases); \
1404 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1405 redo_bases=`for i in $$bases; do \
1406 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1407 done`; \
1408 if test -n "$$redo_bases"; then \
1409 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1410 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1411 if $(am__make_dryrun); then :; else \
1412 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1413 fi; \
1414 fi; \
1415 if test -n "$$am__remaking_logs"; then \
1416 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1417 "recursion detected" >&2; \
1418 elif test -n "$$redo_logs"; then \
1419 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1420 fi; \
1421 if $(am__make_dryrun); then :; else \
1422 st=0; \
1423 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1424 for i in $$redo_bases; do \
1425 test -f $$i.trs && test -r $$i.trs \
1426 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1427 test -f $$i.log && test -r $$i.log \
1428 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1429 done; \
1430 test $$st -eq 0 || exit 1; \
1431 fi
1432 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1433 ws='[ ]'; \
1434 results=`for b in $$bases; do echo $$b.trs; done`; \
1435 test -n "$$results" || results=/dev/null; \
1436 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1437 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1438 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1439 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1440 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1441 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1442 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1443 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1444 success=true; \
1445 else \
1446 success=false; \
1447 fi; \
1448 br='==================='; br=$$br$$br$$br$$br; \
1449 result_count () \
1450 { \
1451 if test x"$$1" = x"--maybe-color"; then \
1452 maybe_colorize=yes; \
1453 elif test x"$$1" = x"--no-color"; then \
1454 maybe_colorize=no; \
1455 else \
1456 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1457 fi; \
1458 shift; \
1459 desc=$$1 count=$$2; \
1460 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1461 color_start=$$3 color_end=$$std; \
1462 else \
1463 color_start= color_end=; \
1464 fi; \
1465 echo "$${color_start}# $$desc $$count$${color_end}"; \
1466 }; \
1467 create_testsuite_report () \
1468 { \
1469 result_count $$1 "TOTAL:" $$all "$$brg"; \
1470 result_count $$1 "PASS: " $$pass "$$grn"; \
1471 result_count $$1 "SKIP: " $$skip "$$blu"; \
1472 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1473 result_count $$1 "FAIL: " $$fail "$$red"; \
1474 result_count $$1 "XPASS:" $$xpass "$$red"; \
1475 result_count $$1 "ERROR:" $$error "$$mgn"; \
1476 }; \
1477 { \
1478 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1479 $(am__rst_title); \
1480 create_testsuite_report --no-color; \
1481 echo; \
1482 echo ".. contents:: :depth: 2"; \
1483 echo; \
1484 for b in $$bases; do echo $$b; done \
1485 | $(am__create_global_log); \
1486 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1487 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1488 if $$success; then \
1489 col="$$grn"; \
1490 else \
1491 col="$$red"; \
1492 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1493 fi; \
1494 echo "$${col}$$br$${std}"; \
1495 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1496 echo "$${col}$$br$${std}"; \
1497 create_testsuite_report --maybe-color; \
1498 echo "$$col$$br$$std"; \
1499 if $$success; then :; else \
1500 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1501 if test -n "$(PACKAGE_BUGREPORT)"; then \
1502 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1503 fi; \
1504 echo "$$col$$br$$std"; \
1505 fi; \
1506 $$success || exit 1
1507
1508 check-TESTS:
1509 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1510 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1511 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1512 @set +e; $(am__set_TESTS_bases); \
1513 log_list=`for i in $$bases; do echo $$i.log; done`; \
1514 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1515 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1516 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1517 exit $$?;
1518 recheck: all $(check_PROGRAMS)
1519 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1520 @set +e; $(am__set_TESTS_bases); \
1521 bases=`for i in $$bases; do echo $$i; done \
1522 | $(am__list_recheck_tests)` || exit 1; \
1523 log_list=`for i in $$bases; do echo $$i.log; done`; \
1524 log_list=`echo $$log_list`; \
1525 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1526 am__force_recheck=am--force-recheck \
1527 TEST_LOGS="$$log_list"; \
1528 exit $$?
1529 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1530 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1531 b='testsuite/common/bits32m0'; \
1532 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1533 --log-file $$b.log --trs-file $$b.trs \
1534 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1535 "$$tst" $(AM_TESTS_FD_REDIRECT)
1536 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1537 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1538 b='testsuite/common/bits32m31'; \
1539 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1540 --log-file $$b.log --trs-file $$b.trs \
1541 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1542 "$$tst" $(AM_TESTS_FD_REDIRECT)
1543 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1544 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1545 b='testsuite/common/bits64m0'; \
1546 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1547 --log-file $$b.log --trs-file $$b.trs \
1548 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1549 "$$tst" $(AM_TESTS_FD_REDIRECT)
1550 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1551 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1552 b='testsuite/common/bits64m63'; \
1553 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1554 --log-file $$b.log --trs-file $$b.trs \
1555 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1556 "$$tst" $(AM_TESTS_FD_REDIRECT)
1557 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1558 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1559 b='testsuite/common/alu-tst'; \
1560 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1561 --log-file $$b.log --trs-file $$b.trs \
1562 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1563 "$$tst" $(AM_TESTS_FD_REDIRECT)
1564 .test.log:
1565 @p='$<'; \
1566 $(am__set_b); \
1567 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1568 --log-file $$b.log --trs-file $$b.trs \
1569 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1570 "$$tst" $(AM_TESTS_FD_REDIRECT)
1571 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1572 @am__EXEEXT_TRUE@ @p='$<'; \
1573 @am__EXEEXT_TRUE@ $(am__set_b); \
1574 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1575 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1576 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1577 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1578 check-am: all-am
1579 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1580 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1581 check: check-recursive
1582 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1583 installdirs: installdirs-recursive
1584 installdirs-am:
1585 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1586 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1587 done
1588 install: install-recursive
1589 install-exec: install-exec-recursive
1590 install-data: install-data-recursive
1591 uninstall: uninstall-recursive
1592
1593 install-am: all-am
1594 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1595
1596 installcheck: installcheck-recursive
1597 install-strip:
1598 if test -z '$(STRIP)'; then \
1599 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1600 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1601 install; \
1602 else \
1603 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1604 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1605 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1606 fi
1607 mostlyclean-generic:
1608 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1609 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1610 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1611 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1612
1613 clean-generic:
1614 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1615
1616 distclean-generic:
1617 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1618 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1619 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1620 -rm -f common/$(am__dirstamp)
1621 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1622 -rm -f igen/$(am__dirstamp)
1623 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1624 -rm -f testsuite/common/$(am__dirstamp)
1625 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1626
1627 maintainer-clean-generic:
1628 @echo "This command is intended for maintainers to use"
1629 @echo "it deletes files that may require special tools to rebuild."
1630 clean: clean-recursive
1631
1632 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1633 clean-noinstLIBRARIES mostlyclean-am
1634
1635 distclean: distclean-recursive
1636 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1637 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1638 -rm -f Makefile
1639 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1640 distclean-generic distclean-hdr distclean-libtool \
1641 distclean-tags
1642
1643 dvi: dvi-recursive
1644
1645 dvi-am:
1646
1647 html: html-recursive
1648
1649 html-am:
1650
1651 info: info-recursive
1652
1653 info-am:
1654
1655 install-data-am: install-pkgincludeHEADERS
1656
1657 install-dvi: install-dvi-recursive
1658
1659 install-dvi-am:
1660
1661 install-exec-am:
1662
1663 install-html: install-html-recursive
1664
1665 install-html-am:
1666
1667 install-info: install-info-recursive
1668
1669 install-info-am:
1670
1671 install-man:
1672
1673 install-pdf: install-pdf-recursive
1674
1675 install-pdf-am:
1676
1677 install-ps: install-ps-recursive
1678
1679 install-ps-am:
1680
1681 installcheck-am:
1682
1683 maintainer-clean: maintainer-clean-recursive
1684 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1685 -rm -rf $(top_srcdir)/autom4te.cache
1686 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1687 -rm -f Makefile
1688 maintainer-clean-am: distclean-am maintainer-clean-generic
1689
1690 mostlyclean: mostlyclean-recursive
1691
1692 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1693 mostlyclean-libtool
1694
1695 pdf: pdf-recursive
1696
1697 pdf-am:
1698
1699 ps: ps-recursive
1700
1701 ps-am:
1702
1703 uninstall-am: uninstall-pkgincludeHEADERS
1704
1705 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1706
1707 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1708 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1709 clean-checkPROGRAMS clean-cscope clean-generic clean-libtool \
1710 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1711 distclean distclean-DEJAGNU distclean-compile \
1712 distclean-generic distclean-hdr distclean-libtool \
1713 distclean-tags dvi dvi-am html html-am info info-am install \
1714 install-am install-data install-data-am install-dvi \
1715 install-dvi-am install-exec install-exec-am install-html \
1716 install-html-am install-info install-info-am install-man \
1717 install-pdf install-pdf-am install-pkgincludeHEADERS \
1718 install-ps install-ps-am install-strip installcheck \
1719 installcheck-am installdirs installdirs-am maintainer-clean \
1720 maintainer-clean-generic mostlyclean mostlyclean-compile \
1721 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1722 recheck tags tags-am uninstall uninstall-am \
1723 uninstall-pkgincludeHEADERS
1724
1725 .PRECIOUS: Makefile
1726
1727
1728 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1729 # This file is shipped with distributions so we build in the source dir.
1730 # Use `make nltvals' to rebuild.
1731 # Note: If gdb releases begin to contain target header files (not a good idea,
1732 # but if they did ...), nltvals.def coud be generated at build time.
1733 # An alternative is to slurp in the tables at runtime.
1734 .PHONY: nltvals
1735 nltvals:
1736 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1737 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1738
1739 common/version.c: common/version.c-stamp ; @true
1740 common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1741 $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1742 $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=)
1743 $(AM_V_at)touch $@
1744
1745 # Alias for developers.
1746 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1747
1748 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1749 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1750 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1751 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1752 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1753
1754 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1755 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1756
1757 # igen is a build-time only tool. Override the default rules for it.
1758 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1759 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1760
1761 # Build some of the files in standalone mode for developers of igen itself.
1762 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1763 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1764
1765 site-srcdir.exp: Makefile
1766 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1767
1768 check-DEJAGNU: site.exp
1769 LC_ALL=C; export LC_ALL; \
1770 EXPECT=${EXPECT} ; export EXPECT ; \
1771 runtest=$(RUNTEST); \
1772 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1773 $$runtest $(RUNTESTFLAGS); \
1774 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1775 fi
1776
1777 # These tests are build-time only tools. Override the default rules for them.
1778 testsuite/common/%.o: testsuite/common/%.c
1779 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1780
1781 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1782 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1783
1784 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1785 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1786
1787 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1788 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1789
1790 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1791 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1792
1793 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1794 $(AM_V_GEN)$< 32 0 big > $@.tmp
1795 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1796 $(AM_V_at)mv $@.tmp $@
1797
1798 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1799 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1800
1801 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1802 $(AM_V_GEN)$< 32 31 little > $@.tmp
1803 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1804 $(AM_V_at)mv $@.tmp $@
1805
1806 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1807 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1808
1809 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1810 $(AM_V_GEN)$< 64 0 big > $@.tmp
1811 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1812 $(AM_V_at)mv $@.tmp $@
1813
1814 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1815 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1816
1817 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1818 $(AM_V_GEN)$< 64 63 little > $@.tmp
1819 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1820 $(AM_V_at)mv $@.tmp $@
1821
1822 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1823
1824 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1825 # Otherwise a system limit (for SysV at least) may be exceeded.
1826 .NOEXPORT:
This page took 0.109795 seconds and 4 git commands to generate.